#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC0,0x25,0xA1,0x4D,0x44,0x8A,0xEF,0xEF,0x04,0x7D,0x04,0x16,
		0x08,0xFD,0x10,0xA4,0xEE,0xA1,0xDB,0xA2,0x62,0xA8,0xC9,0xF0,
		0x03,0x8C,0x7A,0x56,0x9D,0xD8,0x64,0x9D,0xCC,0xDD,0xCA,0x61,
		0x67,0x6E,0x69,0x24,0xB4,0x94,0xFD,0x7B,0x33,0xE8,0x66,0x4C,
		0x52,0xBC,0x14,0xB4,0x4F,0x01,0xEA,0xBE,0xE1,0x16,0x2B,0x3F,
		0x30,0xB5,0xD2,0xC7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
